shellcheck:
  image: tecnalia-docker-dev.artifact.tecnalia.com/koalaman/shellcheck-alpine
  script: shellcheck scripts/*sh
  tags:
    - docker


yamllint:
  image: tecnalia-docker-dev.artifact.tecnalia.com/sdesbure/yamllint
  script: yamllint $(find . -name '*.yml' -o -name '*.yaml')
  tags:
    - docker

deploy_devcontainer:
  script:
    - tar cvfz dot_devcontainer.tar.gz -C vscode_devcontainer .devcontainer/
  artifacts:
    paths:
      - dot_devcontainer.tar.gz
    expire_in: 1 year
  tags:
    - docker
